- [HTTP request](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.customTargetingValues/batchActivate#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.customTargetingValues/batchActivate#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.customTargetingValues/batchActivate#body.request_body)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.customTargetingValues/batchActivate#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.customTargetingValues/batchActivate#body.response_body)
- [Authorization scopes](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.customTargetingValues/batchActivate#body.aspect)
- [ActivateCustomTargetingValueRequest](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.customTargetingValues/batchActivate#ActivateCustomTargetingValueRequest)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.customTargetingValues/batchActivate#ActivateCustomTargetingValueRequest.SCHEMA_REPRESENTATION)
- [Try it!](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.customTargetingValues/batchActivate#try-it)

Batch activates `CustomTargetingValue` objects.

### HTTP request

`POST https://admanager.googleapis.com/v1/{parent}/customTargetingValues:batchActivate`

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent, which owns this collection of CustomTargetingValues. Format: `networks/{networkCode}` |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "requests": [ { object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.customTargetingValues/batchActivate#ActivateCustomTargetingValueRequest`) } ] } ``` |

| Fields ||
|---|---|
| `requests[]` | ``object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.customTargetingValues/batchActivate#ActivateCustomTargetingValueRequest`)`` Required. The `CustomTargetingValue` objects to activate. A maximum of 100 objects can be activated in a batch. |

### Response body

If successful, the response body is empty.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/admanager`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).

## ActivateCustomTargetingValueRequest

Request message to activate a CustomTargetingValue.

| JSON representation |
|---|
| ``` { "name": string } ``` |

| Fields ||
|---|---|
| `name` | `string` Required. The resource name of the CustomTargetingValue. Format: `networks/{networkCode}/customTargetingValues/{customTargetingValueId}` |